Package org.eclipse.emf.cdo.spi.server

# Interface InternalStore

All Superinterfaces:
  `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.event.INotifier`, `IStore`

All Known Implementing Classes:
  `LongIDStore`, `Store`

public interface InternalStore extends IStore, org.eclipse.net4j.util.lifecycle.ILifecycle
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`InternalStore.NoChangeSets`
If the meaning of this type isn't clear, there really should be more of a description here...
`static interface`
`InternalStore.NoCommitInfos`
If the meaning of this type isn't clear, there really should be more of a description here...
`static interface`
`InternalStore.NoDurableLocking`
If the meaning of this type isn't clear, there really should be more of a description here...
`static interface`
`InternalStore.NoExternalReferences`
Deprecated.
As of 4.6 use IRepositoryConfig.CAPABILITY_EXTERNAL_REFS.
`static interface`
`InternalStore.NoFeatureMaps`
Deprecated.
As of 4.5 `feature maps` are no longer supported.
`static interface`
`InternalStore.NoHandleRevisions`
If the meaning of this type isn't clear, there really should be more of a description here...
`static interface`
`InternalStore.NoLargeObjects`
If the meaning of this type isn't clear, there really should be more of a description here...
`static interface`
`InternalStore.NoQueryXRefs`
If the meaning of this type isn't clear, there really should be more of a description here...
`static interface`
`InternalStore.NoRawAccess`
If the meaning of this type isn't clear, there really should be more of a description here...

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore

`IStore.CanHandleClientAssignedIDs, IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNextBranchID()`
`int`
`getNextLocalBranchID()`
`InternalRepository`
`getRepository()`
`boolean`
`isDropAllDataOnActivate()`
`boolean`
`isLocal(CDOID id)`
Deprecated.
Not used anymore.
`void`
`setCreationTime(long creationTime)`
`void`
`setDropAllDataOnActivate(boolean dropAllDataOnActivate)`
`void`
`setLastBranchID(int lastBranchID)`
`void`
`setLastCommitTime(long lastCommitTime)`
`void`
`setLastLocalBranchID(int lastLocalBranchID)`
`void`
`setLastNonLocalCommitTime(long lastNonLocalCommitTime)`
`void`
`setRepository(IRepository repository)`
`void`
`setRevisionParallelism(IStore.RevisionParallelism revisionParallelism)`
`void`
`setRevisionTemporality(IStore.RevisionTemporality revisionTemporality)`

### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`activate, deactivate, getLifecycleState, isActive`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.server.IStore

`createObjectID, getCreationTime, getIndicatingCommitDistributor, getLastBranchID, getLastCommitTime, getLastLocalBranchID, getLastNonLocalCommitTime, getObjectIDTypes, getPersistentProperties, getReader, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, getWriter, isFirstStart, removePersistentProperties, setPersistentProperties`

## Method Details

### getRepository

InternalRepository getRepository()

Specified by:
  `getRepository` in interface `IStore`

### setRepository

void setRepository(IRepository repository)

### setRevisionTemporality

void setRevisionTemporality(IStore.RevisionTemporality revisionTemporality)

### setRevisionParallelism

void setRevisionParallelism(IStore.RevisionParallelism revisionParallelism)

### getNextBranchID

int getNextBranchID()

### getNextLocalBranchID

int getNextLocalBranchID()

### setLastBranchID

void setLastBranchID(int lastBranchID)

### setLastLocalBranchID

void setLastLocalBranchID(int lastLocalBranchID)

### setLastCommitTime

void setLastCommitTime(long lastCommitTime)

### setLastNonLocalCommitTime

void setLastNonLocalCommitTime(long lastNonLocalCommitTime)

### isLocal

@Deprecated boolean isLocal(CDOID id)
Deprecated.
Not used anymore.

### isDropAllDataOnActivate

boolean isDropAllDataOnActivate()

Since:
  4.0

### setDropAllDataOnActivate

void setDropAllDataOnActivate(boolean dropAllDataOnActivate)

Since:
  4.0

### setCreationTime

void setCreationTime(long creationTime)

Since:
  4.0